Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfDataPilotTableElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.table.OdfDataPilotTableElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDataPilotTable

    public abstract class OdfDataPilotTableElement

extends OdfElement

DOM implementation of OpenDocument element table:data-pilot-table.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDataPilotTableElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDataPilotTableElement

Method Summary
`OdfDatabaseSourceQueryElement` | `createDatabaseSourceQueryElement(String databaseName, String queryName)` Create child element table:database-source-query.
`OdfDatabaseSourceSqlElement` | `createDatabaseSourceSqlElement(String databaseName, String sqlStatement)` Create child element table:database-source-sql.
`OdfDatabaseSourceTableElement` | `createDatabaseSourceTableElement(String databaseName, String databaseTableName)` Create child element table:database-source-table.
`OdfDataPilotFieldElement` | `createDataPilotFieldElement(OdfOrientationType orientation, String selectedPage, String sourceFieldName)` Create child element table:data-pilot-field.
`OdfDataPilotFieldElement` | `createDataPilotFieldElement(String sourceFieldName, OdfOrientationType orientation)` Create child element table:data-pilot-field.
`OdfSourceCellRangeElement` | `createSourceCellRangeElement(OdfCellRangeAddress cellRangeAddress)` Create child element table:source-cell-range.
`OdfSourceServiceElement` | `createSourceServiceElement(String name, String sourceName, String objectName)` Create child element table:source-service.
`String` | `getApplicationData()` Get value of attribute table:application-data.
`OdfCellRangeAddressList` | `getButtons()` Get value of attribute table:buttons.
`OdfBoolean` | `getDrillDownOnDoubleClick()` Get value of attribute table:drill-down-on-double-click.
`OdfGrandTotalType` | `getGrandTotal()` Get value of attribute table:grand-total.
`OdfBoolean` | `getIdentifyCategories()` Get value of attribute table:identify-categories.
`OdfBoolean` | `getIgnoreEmptyRows()` Get value of attribute table:ignore-empty-rows.
`String` | `getName()` Get value of attribute table:name.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getShowFilterButton()` Get value of attribute table:show-filter-button.
`OdfCellRangeAddress` | `getTargetRangeAddress()` Get value of attribute table:target-range-address.
`void` | `init(String name, OdfCellRangeAddress targetRangeAddress)` Initialization of the mandatory attributes of `OdfDataPilotTableElement`
`void` | `setApplicationData(String applicationData)` Set value of attribute table:application-data.
`void` | `setButtons(OdfCellRangeAddressList buttons)` Set value of attribute table:buttons.
`void` | `setDrillDownOnDoubleClick(OdfBoolean isDrillDownOnDoubleClick)` Set value of attribute table:drill-down-on-double-click.
`void` | `setGrandTotal(OdfGrandTotalType grandTotal)` Set value of attribute table:grand-total.
`void` | `setIdentifyCategories(OdfBoolean isIdentifyCategories)` Set value of attribute table:identify-categories.
`void` | `setIgnoreEmptyRows(OdfBoolean isIgnoreEmptyRows)` Set value of attribute table:ignore-empty-rows.
`void` | `setName(String name)` Set value of attribute table:name.
`void` | `setShowFilterButton(OdfBoolean isShowFilterButton)` Set value of attribute table:show-filter-button.
`void` | `setTargetRangeAddress(OdfCellRangeAddress targetRangeAddress)` Set value of attribute table:target-range-address.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDataPilotTableElement

    public OdfDataPilotTableElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDataPilotTableElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:data-pilot-table.

### init

    public void init(String name,
                     OdfCellRangeAddress targetRangeAddress)

  Initialization of the mandatory attributes of `OdfDataPilotTableElement`

  Parameters:
    `name` - The mandatory attribute table:name"
    `targetRangeAddress` - The mandatory attribute table:target-range-address"

### getName

    public String getName()

  Get value of attribute table:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute table:name.

  Parameters:
    `name` - the attribute's type is String

### getApplicationData

    public String getApplicationData()

  Get value of attribute table:application-data.

  Returns:
    return the attribute which type is String

### setApplicationData

    public void setApplicationData(String applicationData)

  Set value of attribute table:application-data.

  Parameters:
    `applicationData` - the attribute's type is String

### getGrandTotal

    public OdfGrandTotalType getGrandTotal()

  Get value of attribute table:grand-total.

  Returns:
    return the attribute which type is OdfGrandTotalType

### setGrandTotal

    public void setGrandTotal(OdfGrandTotalType grandTotal)

  Set value of attribute table:grand-total.

  Parameters:
    `grandTotal` - the attribute's type is OdfGrandTotalType

### getIgnoreEmptyRows

    public OdfBoolean getIgnoreEmptyRows()

  Get value of attribute table:ignore-empty-rows.

  Returns:
    return the attribute which type is OdfBoolean

### setIgnoreEmptyRows

    public void setIgnoreEmptyRows(OdfBoolean isIgnoreEmptyRows)

  Set value of attribute table:ignore-empty-rows.

  Parameters:
    `isIgnoreEmptyRows` - the attribute's type is OdfBoolean

### getIdentifyCategories

    public OdfBoolean getIdentifyCategories()

  Get value of attribute table:identify-categories.

  Returns:
    return the attribute which type is OdfBoolean

### setIdentifyCategories

    public void setIdentifyCategories(OdfBoolean isIdentifyCategories)

  Set value of attribute table:identify-categories.

  Parameters:
    `isIdentifyCategories` - the attribute's type is OdfBoolean

### getTargetRangeAddress

    public OdfCellRangeAddress getTargetRangeAddress()

  Get value of attribute table:target-range-address.

  Returns:
    return the attribute which type is OdfCellRangeAddress

### setTargetRangeAddress

    public void setTargetRangeAddress(OdfCellRangeAddress targetRangeAddress)

  Set value of attribute table:target-range-address.

  Parameters:
    `targetRangeAddress` - the attribute's type is OdfCellRangeAddress

### getButtons

    public OdfCellRangeAddressList getButtons()

  Get value of attribute table:buttons.

  Returns:
    return the attribute which type is OdfCellRangeAddressList

### setButtons

    public void setButtons(OdfCellRangeAddressList buttons)

  Set value of attribute table:buttons.

  Parameters:
    `buttons` - the attribute's type is OdfCellRangeAddressList

### getShowFilterButton

    public OdfBoolean getShowFilterButton()

  Get value of attribute table:show-filter-button.

  Returns:
    return the attribute which type is OdfBoolean

### setShowFilterButton

    public void setShowFilterButton(OdfBoolean isShowFilterButton)

  Set value of attribute table:show-filter-button.

  Parameters:
    `isShowFilterButton` - the attribute's type is OdfBoolean

### getDrillDownOnDoubleClick

    public OdfBoolean getDrillDownOnDoubleClick()

  Get value of attribute table:drill-down-on-double-click.

  Returns:
    return the attribute which type is OdfBoolean

### setDrillDownOnDoubleClick

    public void setDrillDownOnDoubleClick(OdfBoolean isDrillDownOnDoubleClick)

  Set value of attribute table:drill-down-on-double-click.

  Parameters:
    `isDrillDownOnDoubleClick` - the attribute's type is OdfBoolean

### createDatabaseSourceSqlElement

    public OdfDatabaseSourceSqlElement createDatabaseSourceSqlElement(String databaseName,
                                                                      String sqlStatement)

  Create child element table:database-source-sql.

  Parameters:
    `databaseName` - String
    `sqlStatement` - String
  Returns:
    return the element table:database-source-sql

### createDatabaseSourceQueryElement

    public OdfDatabaseSourceQueryElement createDatabaseSourceQueryElement(String databaseName,
                                                                          String queryName)

  Create child element table:database-source-query.

  Parameters:
    `databaseName` - String
    `queryName` - String
  Returns:
    return the element table:database-source-query

### createDatabaseSourceTableElement

    public OdfDatabaseSourceTableElement createDatabaseSourceTableElement(String databaseName,
                                                                          String databaseTableName)

  Create child element table:database-source-table.

  Parameters:
    `databaseName` - String
    `databaseTableName` - String
  Returns:
    return the element table:database-source-table

### createSourceServiceElement

    public OdfSourceServiceElement createSourceServiceElement(String name,
                                                              String sourceName,
                                                              String objectName)

  Create child element table:source-service.

  Parameters:
    `name` - String
    `sourceName` - String
    `objectName` - String
  Returns:
    return the element table:source-service

### createSourceCellRangeElement

    public OdfSourceCellRangeElement createSourceCellRangeElement(OdfCellRangeAddress cellRangeAddress)

  Create child element table:source-cell-range.

  Parameters:
    `cellRangeAddress` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellRangeAddress
  Returns:
    return the element table:source-cell-range

### createDataPilotFieldElement

    public OdfDataPilotFieldElement createDataPilotFieldElement(String sourceFieldName,
                                                                OdfOrientationType orientation)

  Create child element table:data-pilot-field.

  Parameters:
    `sourceFieldName` - String
    `orientation` - the attribute's type is OdfOrientationType, see table:orientation at specification
  Returns:
    return the element table:data-pilot-field

### createDataPilotFieldElement

    public OdfDataPilotFieldElement createDataPilotFieldElement(OdfOrientationType orientation,
                                                                String selectedPage,
                                                                String sourceFieldName)

  Create child element table:data-pilot-field.

  Parameters:
    `orientation` - the attribute's type is OdfOrientationType, see table:orientation at specification
    `selectedPage` - String
    `sourceFieldName` - String
  Returns:
    return the element table:data-pilot-field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.